"ESS Solo-1 AudioDrive V4.05.00.1080 1+3M version - Swedish; 
[Version]
CatalogFile=ESSOLO.CAT
LayoutFile=Layout.inf
Signature="$CHICAGO$"
Class=MEDIA
provider=%ESS%

[ClassInstall]
AddReg=Class.AddReg

[Class.AddReg]
HKR,,,,%MediaClassName%
HKR,,Icon,,"-1"
HKR,,Installer,,mmci.dll

[Manufacturer]
%ESSMfgName%=ESS

[SourceDiskFiles]
ESSISA.CAT

[ESS]
%SoloA.DeviceDesc%=SoloA_Device,PCI\VEN_125D&DEV_1969
%SoloD.DeviceDesc%=SoloD_Device,Solo\DOS

[PreCopySection]
HKR,,NoSetupUI,,1

[SoloA_Device]
CopyFiles=SoloA.CopyList,SoloD.CopyList,ESSSWT.CopyList
DelReg=SoloA.DelReg,WAVE.DelReg,ESSSWT.DelReg
AddReg=WAVE.AddReg,MIXER.AddReg,SoloA.AddReg,ESSSWT.AddReg,ESSCheck.AddReg,ES938.AddReg,Ext.AddReg,VolumeMap.AddReg

[SoloD_Device]
AddReg=SoloD.AddReg

[ESS.UpdateInis]

[Joystick.UpdateInis]
system.ini,drivers,"joystick="

[SoloA.CopyList]
essolo.vxd,,
essolo.drv,,
esfm.drv,,
essmpu.drv,,
essdm.vxd,,
essswt.vxd,,
essswt.drv,,

[SoloD.CopyList]
essolo.com,,
essolo.sys,,

[Joystick.CopyList]
vjoyd.vxd,,
msjstick.drv,,

[ESSSWT.CopyList]
ESSSWT.DAT

[ESS.DelList]

[ESSCheck.AddReg]
HKLM,%KEY_FIL%\PostInstall,UpdateIniFields,,"UpdateIniFields=fl.UpdateIniFields"
HKLM,%KEY_FIL%\fl.UpdateIniFields,,,"1"
HKLM,%KEY_FIL%\fl.UpdateIniFields,msmixmgr,,"system.ini,boot,drivers,msmixmgr.dll"

[Drivers.fields]
system.ini,boot,drivers,msmixmgr.dll
system.ini,boot,drivers,mmmixer.dll

[SoloA.AddReg]
HKR,,Driver,,essolo.vxd
HKR,Drivers\wave\essolo.drv,Description,,%SoloA.DeviceDesc%
HKR,Drivers\wave\essolo.drv,Driver,,essolo.drv
HKR,Drivers\midi\esfm.drv,Description,,%Solo.Name%" "%V_ESFM%
HKR,Drivers\midi\esfm.drv,Driver,,esfm.drv
HKR,Drivers\midi\essmpu.drv,Description,,%Solo.Name%" "%V_EXTERNAL%"
HKR,Drivers\midi\essmpu.drv,External,1,01,00,00,00
HKR,Drivers\midi\essmpu.drv,Driver,,essmpu.drv
HKR,Drivers\mixer\essolo.drv,Description,,%SoloA.DeviceDesc%
HKR,Drivers\mixer\essolo.drv,Driver,,essolo.drv
HKR,Drivers\aux\essolo.drv,Description,,%SoloA.DeviceDesc%
HKR,Drivers\aux\essolo.drv,Driver,,essolo.drv
HKR,Drivers,SubClasses,,"wave,midi,aux,mixer"
HKR,Config,"Disable Mic Preamp",01,00,00,00,00
HKR,Config,"MonoInPhoneMute",01,01,00,00,00
HKR,Config,"Reverse Channel Control",01,00
HKR,Config,"DCdrift",01,00,00,00,00
HKR,Config,"AGC",01,00,00,00,00
HKR,Config,"Enable AuxB",01,01
HKR,Config,"Enable PC Speaker",01,01
HKR,Config,"MonitorWave",01,00,00,00,00 ;01,01,00,00,00: Monitor ON
HKR,Config,"Add Game Port",01,01	;01,01=True, 01,00=False

; Write parameter to ESSOLO.SYS /s:xxxxxxxx
HKR,Config,"AddParaToESSOLO",01,ff
HKR,Config,"Add ESSOLO.COM To Autoexec.bat",01,FF
HKR,Config,"Add DEVICE=ESSOLO.SYS",01,FF
;
;ES1946 to enable IIS change 01,00 to 01,01
;
HKR,Config,"Enable IIS",01,00


[SoloD.AddReg]
HKR,,DeviceDriver,,essolo.vxd
HKR,,DevLoader,,*CONFIGMG
HKR,,Driver,,essolo.vxd

;
; To use PCPCI DMA mode change 01,00 to 01,01
;
HKR,Config,"Use PCPCI DMA Mode",01,00
HKR,Config,"DDMA Base",01,00,38

[JOYSTICK.AddReg]
HKR,,DevLoader,,mmdevldr.vxd
HKR,Drivers,MIGRATED,,0
HKR,Drivers\joystick,,,

[MIXER.AddReg]
HKLM,Software\Microsoft\Windows\CurrentVersion\Run,SystemTray,,"SysTray.Exe"
HKLM,%KEY_IOC%\Vol,,,

; Customized Mixer Source Label Name (Localization)
; Volume Control
HKR,Config,Source0Long,,   "Insignal"     ; Line In long name
HKR,Config,Source0Short,,  "Linje"        ; Line In short name
HKR,Config,Source1Long,,   "Wave"         ; Wave long name
HKR,Config,Source1Short,,  "Wave"         ; Wave short name
HKR,Config,Source2Long,,   "Mikrofon"     ; Mic long name
HKR,Config,Source2Short,,  "Mikr"         ; Mic short Name
HKR,Config,Source3Long,,   "CD-ljud"      ; CD Audio long name
HKR,Config,Source3Short,,  "CD"           ; CD audio short name
HKR,Config,Source4Long,,   "Synthesizer"  ; Synthsizer long name
HKR,Config,Source4Short,,  "Synth"        ; Synthesizer short name
HKR,Config,Source6Long,,   "AuxB"         ; AuxB long name
HKR,Config,Source6Short,,  "AuxB"         ; AuxB short name
HKR,Config,Source5Long,,   "PC-hgtalare"   ; PC Speaker long name
HKR,Config,Source5Short,,  "PC-hgt"        ; PC Speaker short name
HKR,Config,Source7Long,,   "IIS"          ; IIS long name
HKR,Config,Source7Short,,  "IIS"          ; IIS short name
HKR,Config,Source8Long,,   "Mikr"          ; Mic long name
HKR,Config,Source8Short,,  "Mikr"          ; Mic short name
HKR,Config,Source9Long,,   "Telefon"        ; Phone long name
HKR,Config,Source9Short,,  "Telefon"        ; Phone short name
HKR,Config,Source10Long,,  "Chorus"       ; Chorus long name
HKR,Config,Source10Short,, "Chorus"       ; Chorus short name
HKR,Config,Source11Long,,  "Reverb"       ; Reverb long name
HKR,Config,Source11Short,, "Reverb"       ; Reverb short name

HKR,Config,Dest0Long,,  "Volymkontroll"      ; Playback Volume long name
HKR,Config,Dest0Short,, "Vol"                ; Playback Volume short name
HKR,Config,Dest1Long,,  "Inspelningsreglage" ; Recording Volume long name
HKR,Config,Dest1Short,, "Insp"               ; Recording Volume short name
HKR,Config,Dest2Long,,  "Rstkommandon"      ; Voice Command long name
HKR,Config,Dest2Short,, "Rst"               ; Voice Command short name
HKR,Config,Dest3Long,,  "Telefon"              ; Mono-in phone long name
HKR,Config,Dest3Short,, "Telefon"              ; Mono-in phone short name
HKR,Config,Dest4Long,,  "Musikeffekter"      ; Music effects long name
HKR,Config,Dest4Short,, "Effekter"           ; Music effects short name

HKR,Config,Ctrl0Long,,   "Huvudutsignalskllor"
HKR,Config,Ctrl0Short,,  "Utsignalskllor"
HKR,Config,Ctrl1Long,,   "Inspelningskllor"
HKR,Config,Ctrl1Short,,  "Insp.kllor"
HKR,Config,Ctrl2Long,,   "Rstinsignalskllor"
HKR,Config,Ctrl2Short,,  "Rstkllor"
HKR,Config,Ctrl3Long,,   "Volymniv fr insignal"
HKR,Config,Ctrl3Short,,  "Insignalsvolym"
HKR,Config,Ctrl4Long,,   "Volymniv fr Wave-utsignal"
HKR,Config,Ctrl4Short,,  "Wave-volym"
HKR,Config,Ctrl5Long,,   "Volymniv fr mikrofon"
HKR,Config,Ctrl5Short,,  "Mikr-volym"
HKR,Config,Ctrl6Long,,   "Volymniv fr CD"
HKR,Config,Ctrl6Short,,  "CD-volym"
HKR,Config,Ctrl7Long,,   "Volymniv fr FM-synth"
HKR,Config,Ctrl7Short,,  "Synth-volym"
HKR,Config,Ctrl9Long,,   "Volymniv fr AuxB"
HKR,Config,Ctrl9Short,,  "AuxB-volym"
HKR,Config,Ctrl8Long,,   "Volymniv fr PC-hgtalare"
HKR,Config,Ctrl8Short,,  "PChgt-volym"
HKR,Config,Ctrl10Long,,  "Volymniv fr IIS"
HKR,Config,Ctrl10Short,, "IIS-volym"
HKR,Config,Ctrl11Long,,  "Huvudvolymniv"
HKR,Config,Ctrl11Short,, "Huvudvolym"
HKR,Config,Ctrl12Long,,  "Niv fr insignal"
HKR,Config,Ctrl12Short,, "Insignal"
HKR,Config,Ctrl13Long,,  "Niv fr mikrofonsignal"
HKR,Config,Ctrl13Short,, "Mikr-insignal"
HKR,Config,Ctrl14Long,,  "Niv fr CD-insignal"
HKR,Config,Ctrl14Short,, "CD-insignal"
HKR,Config,Ctrl15Long,,  "Niv fr FM-synth-insignal"
HKR,Config,Ctrl15Short,, "Synth-insignal"
HKR,Config,Ctrl17Long,,  "Niv fr AuxB-insignal"
HKR,Config,Ctrl17Short,, "AuxB-insignal"
HKR,Config,Ctrl16Long,,  "Niv fr Wave-insignal"
HKR,Config,Ctrl16Short,, "Wave-insignal"
HKR,Config,Ctrl18Long,,  "Niv fr Mixer-insignal"
HKR,Config,Ctrl18Short,, "Mixer-insignal"
HKR,Config,Ctrl19Long,,  "Niv fr insignal"
HKR,Config,Ctrl19Short,, "Insignal"
HKR,Config,Ctrl20Long,,  "Niv fr Mikrofon-signal"
HKR,Config,Ctrl20Short,, "Mikr-insignal"
HKR,Config,Ctrl21Long,,  "Niv fr CD-insignal"
HKR,Config,Ctrl21Short,, "CD-insignal"
HKR,Config,Ctrl23Long,,  "Niv fr AuxB-insignal"
HKR,Config,Ctrl23Short,, "AuxB-insignal"
HKR,Config,Ctrl22Long,,  "Niv fr Wave-insignal"
HKR,Config,Ctrl22Short,, "Wave-insignal"
HKR,Config,Ctrl24Long,,  "Niv fr Mixer-insignal"
HKR,Config,Ctrl24Short,, "Mixer-insignal"
HKR,Config,Ctrl25Long,,  "Insignal av"
HKR,Config,Ctrl25Short,, "Insign. av"
HKR,Config,Ctrl26Long,,  "Wave-utsignal av"
HKR,Config,Ctrl26Short,, "Wave av"
HKR,Config,Ctrl27Long,,  "Mikrofon av"
HKR,Config,Ctrl27Short,, "Mikr av"
HKR,Config,Ctrl28Long,,  "CD-ljud av"
HKR,Config,Ctrl28Short,, "CD av"
HKR,Config,Ctrl29Long,,  "FM-synth av"
HKR,Config,Ctrl29Short,, "Synth av"
HKR,Config,Ctrl31Long,,  "AuxB av"
HKR,Config,Ctrl31Short,, "AuxB av"
HKR,Config,Ctrl30Long,,  "PC-hgtalare av"
HKR,Config,Ctrl30Short,, "PChgt av"
HKR,Config,Ctrl32Long,,  "IIS av"
HKR,Config,Ctrl32Short,, "IIS av"
HKR,Config,Ctrl33Long,,  "Allt ljud av"
HKR,Config,Ctrl33Short,, "Allt ljud av"
HKR,Config,Ctrl34Long,,  "Inspelningssignalmtare"
HKR,Config,Ctrl34Short,, "Inspelningsmtare"
HKR,Config,Ctrl35Long,,  "Rstsignalmtare"
HKR,Config,Ctrl35Short,, "Rstmtare"
HKR,Config,Ctrl36Long,,  "Wave-utsignalmtare"
HKR,Config,Ctrl36Short,, "Wave-mtare"
HKR,Config,Ctrl37Long,,  "Inspelningssignalmonitor"
HKR,Config,Ctrl37Short,, "Inspelningsmonitor"
HKR,Config,Ctrl38Long,,  "Rstsignalmonitor"
HKR,Config,Ctrl38Short,, "Rstmonitor"
HKR,Config,Ctrl39Long,,  "Universalutgng 0"
HKR,Config,Ctrl39Short,, "Univ utg 0"
HKR,Config,Ctrl40Long,,  "Universalutgng 1"
HKR,Config,Ctrl40Short,, "Univ utg 1"
HKR,Config,Ctrl41Long,,  "Aktivera 3D-effekt"
HKR,Config,Ctrl41Short,, "3D-effekt"
HKR,Config,Ctrl42Long,,  "Aktivera 3D"
HKR,Config,Ctrl42Short,, "Aktivera 3D"
HKR,Config,Ctrl43Long,,  "Diskant"
HKR,Config,Ctrl43Short,, "Diskant"
HKR,Config,Ctrl44Long,,  "Bas"
HKR,Config,Ctrl44Short,, "Bas"

HKR,Config,Ctrl45Long,,  "Markera Mikr"
HKR,Config,Ctrl45Short,, "Markera"
HKR,Config,Ctrl46Long,,  "Markera telefon"
HKR,Config,Ctrl46Short,, "Markera"

HKR,Config,Ctrl47Long,,  "Mikr-vol"
HKR,Config,Ctrl47Short,, "Mikr-vol"
HKR,Config,Ctrl48Long,,  "Telefon-vol"
HKR,Config,Ctrl48Short,, "Telefon-vol"

HKR,Config,Ctrl49Long,,  "Inaktivera Chorus"
HKR,Config,Ctrl49Short,, "Chorus av"
HKR,Config,Ctrl50Long,,  "Inaktivera Reverb"
HKR,Config,Ctrl50Short,, "Reverb av"

HKR,Config,CaptionString,,   "Wavetable"               ; Caption
HKR,Config,GroupNameString,, "Wavetable fr ESS-programvara"  ; Group name
HKR,Config,EnableString,,    "Aktivera"                ; Enable
HKR,Config,DLSLibrary,,      "DLS-bibliotek"           ; Library
HKR,Config,1MString,,        "1 Megabyte GM-uppsttning"       ; 1 M
HKR,Config,3MString,,        "3 Megabyte GM-uppsttning"       ; 3 M
HKR,Config,NoticeString,,    "Stoppa all ljud- och musikuppspelning innan konfigurationen ndras."

[WAVE.AddReg]
HKR,,DevLoader,,mmdevldr.vxd
HKR,Drivers,MIGRATED,,0
HKR,Config,"Disable Warning",01,FF
HKR,Config,"Multiple FM Support",01,FF
HKLM,%KEY_IOC%\acm,,,
HKLM,%KEY_IOC%\Rec,,,
HKLM,%KEY_IOC%\MPlay,,,

[ESSSWT.AddReg]
HKLM,Software\ESS\ESSSWT,Path,,%10%
HKLM,Software\ESS\ESSSWT,"Enable MMX",01,01
HKLM,Software\ESS\ESSSWT,"Enable Software Wavetable",01,00
HKLM,Software\ESS\ESSSWT,"Memory Pages",01,80,00,00,00
HKLM,Software\ESS\ESSSWT,"File",,"ESSSWT1M.DLS"
HKLM,Software\ESS\ESSSWT,"Library",01,00
HKLM,Software\ESS\ESSSWT,"Library 1 File",,"ESSSWT1M.DLS"
HKLM,Software\ESS\ESSSWT,"Library 1 Memory",01,80,00,00,00
HKLM,Software\ESS\ESSSWT,"Library 2 File",,"ESSSWT3M.DLS"
HKLM,Software\ESS\ESSSWT,"Library 2 Memory",01,80,01,00,00
HKR,Drivers\midi\essswt.drv,Description,,%V_ESSSWT%
HKR,Drivers\midi\essswt.drv,Driver,,essswt.drv

[WAVE.DelReg]
HKR,Drivers\midi
HKR,Drivers\wave
HKR,Drivers\mixer
HKR,Drivers\aux

[Joystick.DelReg]
HKR,Drivers\joystick

[ESSSWT.DelReg]
HKLM,Software\ESS\ESSSWT

[SoloA.DelReg]
HKLM,Enum\Solo

[DisksNames]
1=      "",     ,

[SourceDisksNames]
1="Driver Disk",,

[Files]
[SourceDisksFiles]
essolo.drv=     1,      ,
essolo.vxd=     1,      ,
esfm.drv=       1,      ,
essmpu.drv=     1,      ,

[DestinationDirs]
DefaultDestDir = 11
ESSSWT.CopyList = 10
SoloD.CopyList = 30

;---------------------------------------------------------------;

[Strings]
;Non-localized strings
KEY_WARNVER="SYSTEM\CurrentControlSet\Control\SessionManager\WarnVerDLLs"
KEY_CHKVER="SYSTEM\CurrentControlSet\Control\SessionManager\CheckVerDLLs"
KEY_FIL="SYSTEM\CurrentControlSet\Control\MediaResources\FilterList"
KEY_UI="SYSTEM\CurrentControlSet\Control\MediaResources\FilterList\fl.UpdateInis"
KEY_IOC="SYSTEM\CurrentControlSet\Control\MediaResources\InstallOptionalComponents"

;Localized strings
ESS="ESS"
ESSMfgName="ESS Technology, Inc."
SoloA.DeviceDesc="ESS Solo-1 PCI AudioDrive"
SoloJ.DeviceDesc="Styrspak fr ESS Solo-1-spelport"
SoloD.DeviceDesc="ESS Solo-1 DOS-emulering"
Joystick.DeviceDesc="Gameport Joystick"
MediaClassName="Styrenheter fr ljud, video och spel"
V_INTERNAL="Intern OPL2/OPL3 FM-syntes"
V_EXTERNAL="Extern MIDI-port"
V_ESFM="Intern ESFM-syntes"
V_ESSSWT="Intern ESS Software Wavetable"
Solo.Name="ESS Solo-1"

[ES938.AddReg]
HKR,Config,"Enable ES938",01,01,00,00,00
HKR,Config,"3D Effect Enable",01,00,00,00,00
HKR,Config,"3D Effect",01,cc,cc,cc,cc

[VolumeMap.AddReg]
HKR,Config,"MainRecordVolumeMap",01, \
 00, 01, 02, 03, 04, 05, 06, 07, 08, \
 09, 0a, 0b, 0c, 0d, 0e, 0f
HKR,Config,"WaveVolumeInMap",01, \
 00, 01, 02, 03, 04, 05, 06, 07, 08, \
 09, 0a, 0b, 0c, 0d, 0e, 0f
HKR,Config,"LineInVolumeInMap",01, \
 00, 01, 02, 03, 04, 05, 06, 07, 08, \
 09, 0a, 0b, 0c, 0d, 0e, 0f
HKR,Config,"MicVolumeInMap",01, \
 00, 01, 02, 03, 04, 05, 06, 07, 08, \
 09, 0a, 0b, 0c, 0d, 0e, 0f
HKR,Config,"CDAudioVolumeInMap",01, \
 00, 01, 02, 03, 04, 05, 06, 07, 08, \
 09, 0a, 0b, 0c, 0d, 0e, 0f
HKR,Config,"SynthVolumeInMap",01, \
 00, 01, 02, 03, 04, 05, 06, 07, 08, \
 09, 0a, 0b, 0c, 0d, 0e, 0f
HKR,Config,"AuxBVolumeInMap",01, \
 00, 01, 02, 03, 04, 05, 06, 07, 08, \
 09, 0a, 0b, 0c, 0d, 0e, 0f
HKR,Config,"IISVolumeInMap",01, \
 00, 01, 02, 03, 04, 05, 06, 07, 08, \
 09, 0a, 0b, 0c, 0d, 0e, 0f

HKR,Config,"LineInVolumeOutMap",01, \
 00, 01, 02, 03, 04, 05, 06, 07, 08, \
 09, 0a, 0b, 0c, 0d, 0e, 0f
HKR,Config,"WaveVolumeOutMap",01, \
 00, 01, 02, 03, 04, 05, 06, 07, 08, \
 09, 0a, 0b, 0c, 0d, 0e, 0f
HKR,Config,"MicVolumeOutMap",01, \
 00, 01, 02, 03, 04, 05, 06, 07, 08, \
 09, 0a, 0b, 0c, 0d, 0e, 0f
HKR,Config,"CDAudioVolumeOutMap",01, \
 00, 01, 02, 03, 04, 05, 06, 07, 08, \
 09, 0a, 0b, 0c, 0d, 0e, 0f
HKR,Config,"SynthVolumeOutMap",01, \
 00, 01, 02, 03, 04, 05, 06, 07, 08, \
 09, 0a, 0b, 0c, 0d, 0e, 0f
HKR,Config,"AuxBVolumeOutMap",01, \
 00, 01, 02, 03, 04, 05, 06, 07, 08, \
 09, 0a, 0b, 0c, 0d, 0e, 0f
HKR,Config,"IISVolumeOutMap",01, \
 00, 01, 02, 03, 04, 05, 06, 07, 08, \
 09, 0a, 0b, 0c, 0d, 0e, 0f

[Ext.AddReg]
;HKR,Config,"HwVolumeMap",01, \
; 00, 02, 04, 06, 08, 0C, 10, 14, \
; 18, 1C, 20, 24, 28, 2C, 2E, 30, \
; 32, 32, 33, 33, 34, 34, 35, 35, \
; 36, 36, 36, 37, 37, 37, 38, 38, \
; 38, 38, 39, 39, 39, 39, 3A, 3A, \
; 3A, 3A, 3B, 3B, 3B, 3B, 3C, 3C, \
; 3C, 3C, 3D, 3D, 3D, 3D, 3E, 3E, \
; 3E, 3E, 3E, 3F, 3F, 3F, 3F, 3F

