"ESS Solo-1 AudioDrive V4.05.00.1080 1+3M version - Dutch; 
[Version]
CatalogFile=ESSOLO.CAT
LayoutFile=Layout.inf
Signature="$CHICAGO$"
Class=MEDIA
provider=%ESS%

[ClassInstall]
AddReg=Class.AddReg

[Class.AddReg]
HKR,,,,%MediaClassName%
HKR,,Icon,,"-1"
HKR,,Installer,,mmci.dll

[Manufacturer]
%ESSMfgName%=ESS

[SourceDiskFiles]
ESSISA.CAT

[ESS]
%SoloA.DeviceDesc%=SoloA_Device,PCI\VEN_125D&DEV_1969
%SoloD.DeviceDesc%=SoloD_Device,Solo\DOS

[PreCopySection]
HKR,,NoSetupUI,,1

[SoloA_Device]
CopyFiles=SoloA.CopyList,SoloD.CopyList,ESSSWT.CopyList
DelReg=SoloA.DelReg,WAVE.DelReg,ESSSWT.DelReg
AddReg=WAVE.AddReg,MIXER.AddReg,SoloA.AddReg,ESSSWT.AddReg,ESSCheck.AddReg,ES938.AddReg,Ext.AddReg,VolumeMap.AddReg

[SoloD_Device]
AddReg=SoloD.AddReg

[ESS.UpdateInis]

[Joystick.UpdateInis]
system.ini,drivers,"joystick="

[SoloA.CopyList]
essolo.vxd,,
essolo.drv,,
esfm.drv,,
essmpu.drv,,
essdm.vxd,,
essswt.vxd,,
essswt.drv,,

[SoloD.CopyList]
essolo.com,,
essolo.sys,,

[Joystick.CopyList]
vjoyd.vxd,,
msjstick.drv,,

[ESSSWT.CopyList]
ESSSWT.DAT

[ESS.DelList]

[ESSCheck.AddReg]
HKLM,%KEY_FIL%\PostInstall,UpdateIniFields,,"UpdateIniFields=fl.UpdateIniFields"
HKLM,%KEY_FIL%\fl.UpdateIniFields,,,"1"
HKLM,%KEY_FIL%\fl.UpdateIniFields,msmixmgr,,"system.ini,boot,drivers,msmixmgr.dll"

[Drivers.fields]
system.ini,boot,drivers,msmixmgr.dll
system.ini,boot,drivers,mmmixer.dll

[SoloA.AddReg]
HKR,,Driver,,essolo.vxd
HKR,Drivers\wave\essolo.drv,Description,,%SoloA.DeviceDesc%
HKR,Drivers\wave\essolo.drv,Driver,,essolo.drv
HKR,Drivers\midi\esfm.drv,Description,,%Solo.Name%" "%V_ESFM%
HKR,Drivers\midi\esfm.drv,Driver,,esfm.drv
HKR,Drivers\midi\essmpu.drv,Description,,%Solo.Name%" "%V_EXTERNAL%"
HKR,Drivers\midi\essmpu.drv,External,1,01,00,00,00
HKR,Drivers\midi\essmpu.drv,Driver,,essmpu.drv
HKR,Drivers\mixer\essolo.drv,Description,,%SoloA.DeviceDesc%
HKR,Drivers\mixer\essolo.drv,Driver,,essolo.drv
HKR,Drivers\aux\essolo.drv,Description,,%SoloA.DeviceDesc%
HKR,Drivers\aux\essolo.drv,Driver,,essolo.drv
HKR,Drivers,SubClasses,,"wave,midi,aux,mixer"
HKR,Config,"Disable Mic Preamp",01,00,00,00,00
HKR,Config,"MonoInPhoneMute",01,01,00,00,00
HKR,Config,"Reverse Channel Control",01,00
HKR,Config,"DCdrift",01,00,00,00,00
HKR,Config,"AGC",01,00,00,00,00
HKR,Config,"Enable AuxB",01,01
HKR,Config,"Enable PC Speaker",01,01
HKR,Config,"MonitorWave",01,00,00,00,00 ;01,01,00,00,00: Monitor ON
HKR,Config,"Add Game Port",01,01	;01,01=True, 01,00=False

; Write parameter to ESSOLO.SYS /s:xxxxxxxx
HKR,Config,"AddParaToESSOLO",01,ff
HKR,Config,"Add ESSOLO.COM To Autoexec.bat",01,FF
HKR,Config,"Add DEVICE=ESSOLO.SYS",01,FF
;
;ES1946 to enable IIS change 01,00 to 01,01
;
HKR,Config,"Enable IIS",01,00

[SoloD.AddReg]
HKR,,DeviceDriver,,essolo.vxd
HKR,,DevLoader,,*CONFIGMG
HKR,,Driver,,essolo.vxd

;
; To use PCPCI DMA mode change 01,00 to 01,01
;
HKR,Config,"Use PCPCI DMA Mode",01,00
HKR,Config,"DDMA Base",01,00,38

[JOYSTICK.AddReg]
HKR,,DevLoader,,mmdevldr.vxd
HKR,Drivers,MIGRATED,,0
HKR,Drivers\joystick,,,

[MIXER.AddReg]
HKLM,Software\Microsoft\Windows\CurrentVersion\Run,SystemTray,,"SysTray.Exe"
HKLM,%KEY_IOC%\Vol,,,

; Customized Mixer Source Label Name (Localization)
; Volume Control
HKR,Config,Source0Long,,   "Lijn-in"      ; Line In long name
HKR,Config,Source0Short,,  "Lijn"         ; Line In short name
HKR,Config,Source1Long,,   "Wave"         ; Wave long name
HKR,Config,Source1Short,,  "Wave"         ; Wave short name
HKR,Config,Source2Long,,   "Microfoon"   ; Mic long name
HKR,Config,Source2Short,,  "Mic"          ; Mic short Name
HKR,Config,Source3Long,,   "CD-audio"     ; CD Audio long name
HKR,Config,Source3Short,,  "CD"           ; CD audio short name
HKR,Config,Source4Long,,   "Synthesizer"  ; Synthsizer long name
HKR,Config,Source4Short,,  "Synth"        ; Synthesizer short name
HKR,Config,Source6Long,,   "AuxB"         ; AuxB long name
HKR,Config,Source6Short,,  "AuxB"         ; AuxB short name
HKR,Config,Source5Long,,   "PC Speaker"   ; PC Speaker long name
HKR,Config,Source5Short,,  "PCspk"        ; PC Speaker short name
HKR,Config,Source7Long,,   "IIS"          ; IIS long name
HKR,Config,Source7Short,,  "IIS"          ; IIS short name
HKR,Config,Source8Long,,   "Mic"          ; Mic long name
HKR,Config,Source8Short,,  "Mic"          ; Mic short name
HKR,Config,Source9Long,,   "Telefoon"        ; Phone long name
HKR,Config,Source9Short,,  "Telefoon"        ; Phone short name
HKR,Config,Source10Long,,  "Chorus"       ; Chorus long name
HKR,Config,Source10Short,, "Chorus"       ; Chorus short name
HKR,Config,Source11Long,,  "Galm"       ; Reverb long name
HKR,Config,Source11Short,, "Galm"       ; Reverb short name

HKR,Config,Dest0Long,,  "Volumeregeling"     ; Playback Volume long name
HKR,Config,Dest0Short,, "Vol"                ; Playback Volume short name
HKR,Config,Dest1Long,,  "Opnameregeling"     ; Recording Volume long name
HKR,Config,Dest1Short,, "Rec"                ; Recording Volume short name
HKR,Config,Dest2Long,,  "Stemopdrachten"     ; Voice Command long name
HKR,Config,Dest2Short,, "Stem"               ; Voice Command short name
HKR,Config,Dest3Long,,  "Telefoon"              ; Mono-in phone long name
HKR,Config,Dest3Short,, "Telefoon"              ; Mono-in phone short name
HKR,Config,Dest4Long,,  "Muziekeffecten"     ; Music effects long name
HKR,Config,Dest4Short,, "Effecten"           ; Music effects short name

HKR,Config,Ctrl0Long,,   "Hoofduitvoerbronnen"
HKR,Config,Ctrl0Short,,  "Uitvoerbronnen"
HKR,Config,Ctrl1Long,,   "Opname-invoerbronnen"
HKR,Config,Ctrl1Short,,  "Opnamebronnen"
HKR,Config,Ctrl2Long,,   "Steminvoerbronnen"
HKR,Config,Ctrl2Short,,  "Stembronnen"
HKR,Config,Ctrl3Long,,   "Volume van lijn-in"
HKR,Config,Ctrl3Short,,  "Volume van lijn"
HKR,Config,Ctrl4Long,,   "Volume van wave-uitvoer"
HKR,Config,Ctrl4Short,,  "Volume van wave"
HKR,Config,Ctrl5Long,,   "Volume van microfoon"
HKR,Config,Ctrl5Short,,  "Volume van Mic"
HKR,Config,Ctrl6Long,,   "Volume van CD-audio"
HKR,Config,Ctrl6Short,,  "Volume van CD"
HKR,Config,Ctrl7Long,,   "Volume van FM Synthesis"
HKR,Config,Ctrl7Short,,  "Volume van Synth"
HKR,Config,Ctrl9Long,,   "Volume van AuxB"
HKR,Config,Ctrl9Short,,  "Volume van AuxB"
HKR,Config,Ctrl8Long,,   "Volume van PC-speaker"
HKR,Config,Ctrl8Short,,  "Volume van PCspk"
HKR,Config,Ctrl10Long,,  "Volume van IIS"
HKR,Config,Ctrl10Short,, "Volume van IIS"
HKR,Config,Ctrl11Long,,  "Hoofdvolume"
HKR,Config,Ctrl11Short,, "Hoofdvolume"
HKR,Config,Ctrl12Long,,  "Invoerniveau van Lijn-in"
HKR,Config,Ctrl12Short,, "Lijninvoer"
HKR,Config,Ctrl13Long,,  "Invoerniveau van microfoon"
HKR,Config,Ctrl13Short,, "Mic-invoer"
HKR,Config,Ctrl14Long,,  "Invoerniveau van CD-audio"
HKR,Config,Ctrl14Short,, "CD-invoer"
HKR,Config,Ctrl15Long,,  "Invoerniveau van FM Synthesis"
HKR,Config,Ctrl15Short,, "Synth-invoer"
HKR,Config,Ctrl17Long,,  "Invoerniveau van AuxB"
HKR,Config,Ctrl17Short,, "AuxB-invoer"
HKR,Config,Ctrl16Long,,  "Invoerniveau van wave"
HKR,Config,Ctrl16Short,, "Wave-invoer"
HKR,Config,Ctrl18Long,,  "Invoerniveau van mixer"
HKR,Config,Ctrl18Short,, "Mixer-invoer"
HKR,Config,Ctrl19Long,,  "Invoerniveau van Lijn-in"
HKR,Config,Ctrl19Short,, "Lijninvoer"
HKR,Config,Ctrl20Long,,  "Invoerniveau van microfoon"
HKR,Config,Ctrl20Short,, "Mic-invoer"
HKR,Config,Ctrl21Long,,  "Invoerniveau van CD-audio"
HKR,Config,Ctrl21Short,, "CD-invoer"
HKR,Config,Ctrl23Long,,  "Invoerniveau van AuxB"
HKR,Config,Ctrl23Short,, "AuxB-invoer"
HKR,Config,Ctrl22Long,,  "Invoerniveau van wave"
HKR,Config,Ctrl22Short,, "Wave-invoer"
HKR,Config,Ctrl24Long,,  "Invoerniveau van mixer"
HKR,Config,Ctrl24Short,, "Mixer-invoer"
HKR,Config,Ctrl25Long,,  "Lijn-in dempen"
HKR,Config,Ctrl25Short,, "Lijn dempen"
HKR,Config,Ctrl26Long,,  "Wave-uitvoer dempen"
HKR,Config,Ctrl26Short,, "Wave dempen"
HKR,Config,Ctrl27Long,,  "Microfoon dempen"
HKR,Config,Ctrl27Short,, "Mic dempen"
HKR,Config,Ctrl28Long,,  "CD-audio dempen"
HKR,Config,Ctrl28Short,, "CD dempen"
HKR,Config,Ctrl29Long,,  "FM Synthesis dempen"
HKR,Config,Ctrl29Short,, "Synth dempen"
HKR,Config,Ctrl31Long,,  "AuxB dempen"
HKR,Config,Ctrl31Short,, "AuxB dempen"
HKR,Config,Ctrl30Long,,  "PC-speaker dempen"
HKR,Config,Ctrl30Short,, "PCspk dempen"
HKR,Config,Ctrl32Long,,  "IIS dempen"
HKR,Config,Ctrl32Short,, "IIS dempen"
HKR,Config,Ctrl33Long,,  "Master dempen"
HKR,Config,Ctrl33Short,, "Master dempen"
HKR,Config,Ctrl34Long,,  "Invoermeter van opname"
HKR,Config,Ctrl34Short,, "Opnamemeter"
HKR,Config,Ctrl35Long,,  "Invoermeter van stem"
HKR,Config,Ctrl35Short,, "Stemmeter"
HKR,Config,Ctrl36Long,,  "Uitvoermeter van wave"
HKR,Config,Ctrl36Short,, "Wave-meter"
HKR,Config,Ctrl37Long,,  "Invoermonitor van opname"
HKR,Config,Ctrl37Short,, "Opnamemonitor"
HKR,Config,Ctrl38Long,,  "Invoermonitor van stem"
HKR,Config,Ctrl38Short,, "Stemmonitor"
HKR,Config,Ctrl39Long,,  "Algemene uitvoer 0"
HKR,Config,Ctrl39Short,, "GPO0"
HKR,Config,Ctrl40Long,,  "Algemene uitvoer 1"
HKR,Config,Ctrl40Short,, "GPO1"
HKR,Config,Ctrl41Long,,  "3D-effect inschakelen"
HKR,Config,Ctrl41Short,, "3D inschakelen"
HKR,Config,Ctrl42Long,,  "3D-effect"
HKR,Config,Ctrl42Short,, "3D-effect"
HKR,Config,Ctrl43Long,,  "Treble"
HKR,Config,Ctrl43Short,, "Treble"
HKR,Config,Ctrl44Long,,  "Bass"
HKR,Config,Ctrl44Short,, "Bass"

HKR,Config,Ctrl45Long,,  "Mic selecteren"
HKR,Config,Ctrl45Short,, "Selecteren"
HKR,Config,Ctrl46Long,,  "Telefoon selecteren"
HKR,Config,Ctrl46Short,, "Selecteren"

HKR,Config,Ctrl47Long,,  "Mic-vol"
HKR,Config,Ctrl47Short,, "Mic-vol"
HKR,Config,Ctrl48Long,,  "Telefoon-vol"
HKR,Config,Ctrl48Short,, "Telefoon-vol"

HKR,Config,Ctrl49Long,,  "Chorus uitschakelen"
HKR,Config,Ctrl49Short,, "Chorus dempen"
HKR,Config,Ctrl50Long,,  "Galm uitschakelen"
HKR,Config,Ctrl50Short,, "Galm dempen"

HKR,Config,CaptionString,,   "Wavetable"               ; Caption
HKR,Config,GroupNameString,, "ESS Software-wavetable"  ; Group name
HKR,Config,EnableString,,    "Inschakelen"             ; Enable
HKR,Config,DLSLibrary,,      "DLS-bibliotheek"         ; Library
HKR,Config,1MString,,        "1 Megabyte GM ingesteld" ; 1 M
HKR,Config,3MString,,        "3 Megabyte GM ingesteld" ; 3 M
HKR,Config,NoticeString,,    "Stop al het afspelen/opnemen van audio en muziek voordat u de configuratie wijzigt."

[WAVE.AddReg]
HKR,,DevLoader,,mmdevldr.vxd
HKR,Drivers,MIGRATED,,0
HKR,Config,"Disable Warning",01,FF
HKR,Config,"Multiple FM Support",01,FF
HKLM,%KEY_IOC%\acm,,,
HKLM,%KEY_IOC%\Rec,,,
HKLM,%KEY_IOC%\MPlay,,,

[ESSSWT.AddReg]
HKLM,Software\ESS\ESSSWT,Path,,%10%
HKLM,Software\ESS\ESSSWT,"Enable MMX",01,01
HKLM,Software\ESS\ESSSWT,"Enable Software Wavetable",01,00
HKLM,Software\ESS\ESSSWT,"Memory Pages",01,80,00,00,00
HKLM,Software\ESS\ESSSWT,"File",,"ESSSWT1M.DLS"
HKLM,Software\ESS\ESSSWT,"Library",01,00
HKLM,Software\ESS\ESSSWT,"Library 1 File",,"ESSSWT1M.DLS"
HKLM,Software\ESS\ESSSWT,"Library 1 Memory",01,80,00,00,00
HKLM,Software\ESS\ESSSWT,"Library 2 File",,"ESSSWT3M.DLS"
HKLM,Software\ESS\ESSSWT,"Library 2 Memory",01,80,01,00,00
HKR,Drivers\midi\essswt.drv,Description,,%V_ESSSWT%
HKR,Drivers\midi\essswt.drv,Driver,,essswt.drv

[WAVE.DelReg]
HKR,Drivers\midi
HKR,Drivers\wave
HKR,Drivers\mixer
HKR,Drivers\aux

[Joystick.DelReg]
HKR,Drivers\joystick

[ESSSWT.DelReg]
HKLM,Software\ESS\ESSSWT

[SoloA.DelReg]
HKLM,Enum\Solo

[DisksNames]
1=      "",     ,

[SourceDisksNames]
1="Driver Disk",,

[Files]
[SourceDisksFiles]
essolo.drv=     1,      ,
essolo.vxd=     1,      ,
esfm.drv=       1,      ,
essmpu.drv=     1,      ,

[DestinationDirs]
DefaultDestDir = 11
ESSSWT.CopyList = 10
SoloD.CopyList = 30

;---------------------------------------------------------------;

[Strings]
;Non-localized strings
KEY_WARNVER="SYSTEM\CurrentControlSet\Control\SessionManager\WarnVerDLLs"
KEY_CHKVER="SYSTEM\CurrentControlSet\Control\SessionManager\CheckVerDLLs"
KEY_FIL="SYSTEM\CurrentControlSet\Control\MediaResources\FilterList"
KEY_UI="SYSTEM\CurrentControlSet\Control\MediaResources\FilterList\fl.UpdateInis"
KEY_IOC="SYSTEM\CurrentControlSet\Control\MediaResources\InstallOptionalComponents"

;Localized strings
ESS="ESS"
ESSMfgName="ESS Technology, Inc."
SoloA.DeviceDesc="ESS Solo-1 PCI AudioDrive"
SoloJ.DeviceDesc="ESS Solo-1 Gameport-joystick"
SoloD.DeviceDesc="ESS Solo-1 DOS-emulatie"
Joystick.DeviceDesc="Gameport-joystick"
MediaClassName="Besturing voor geluid, video en spelletjes"
V_INTERNAL="Interne OPL2/OPL3 FM Synthesis"
V_EXTERNAL="Externe MIDI-poort"
V_ESFM="Interne ESFM Synthesis"
V_ESSSWT="Interne ESS Software-wavetable"
Solo.Name="ESS Solo-1"

;---------------------------------------------------------------;

[ES938.AddReg]
HKR,Config,"Enable ES938",01,01,00,00,00
HKR,Config,"3D Effect Enable",01,00,00,00,00
HKR,Config,"3D Effect",01,FF,FF,FF,FF

[VolumeMap.AddReg]
HKR,Config,"MainRecordVolumeMap",01, \
 00, 01, 02, 03, 04, 05, 06, 07, 08, \
 09, 0a, 0b, 0c, 0d, 0e, 0f
HKR,Config,"WaveVolumeInMap",01, \
 00, 01, 02, 03, 04, 05, 06, 07, 08, \
 09, 0a, 0b, 0c, 0d, 0e, 0f
HKR,Config,"LineInVolumeInMap",01, \
 00, 01, 02, 03, 04, 05, 06, 07, 08, \
 09, 0a, 0b, 0c, 0d, 0e, 0f
HKR,Config,"MicVolumeInMap",01, \
 00, 01, 02, 03, 04, 05, 06, 07, 08, \
 09, 0a, 0b, 0c, 0d, 0e, 0f
HKR,Config,"CDAudioVolumeInMap",01, \
 00, 01, 02, 03, 04, 05, 06, 07, 08, \
 09, 0a, 0b, 0c, 0d, 0e, 0f
HKR,Config,"SynthVolumeInMap",01, \
 00, 01, 02, 03, 04, 05, 06, 07, 08, \
 09, 0a, 0b, 0c, 0d, 0e, 0f
HKR,Config,"AuxBVolumeInMap",01, \
 00, 01, 02, 03, 04, 05, 06, 07, 08, \
 09, 0a, 0b, 0c, 0d, 0e, 0f
HKR,Config,"IISVolumeInMap",01, \
 00, 01, 02, 03, 04, 05, 06, 07, 08, \
 09, 0a, 0b, 0c, 0d, 0e, 0f

HKR,Config,"LineInVolumeOutMap",01, \
 00, 01, 02, 03, 04, 05, 06, 07, 08, \
 09, 0a, 0b, 0c, 0d, 0e, 0f
HKR,Config,"WaveVolumeOutMap",01, \
 00, 01, 02, 03, 04, 05, 06, 07, 08, \
 09, 0a, 0b, 0c, 0d, 0e, 0f
HKR,Config,"MicVolumeOutMap",01, \
 00, 01, 02, 03, 04, 05, 06, 07, 08, \
 09, 0a, 0b, 0c, 0d, 0e, 0f
HKR,Config,"CDAudioVolumeOutMap",01, \
 00, 01, 02, 03, 04, 05, 06, 07, 08, \
 09, 0a, 0b, 0c, 0d, 0e, 0f
HKR,Config,"SynthVolumeOutMap",01, \
 00, 01, 02, 03, 04, 05, 06, 07, 08, \
 09, 0a, 0b, 0c, 0d, 0e, 0f
HKR,Config,"AuxBVolumeOutMap",01, \
 00, 01, 02, 03, 04, 05, 06, 07, 08, \
 09, 0a, 0b, 0c, 0d, 0e, 0f
HKR,Config,"IISVolumeOutMap",01, \
 00, 01, 02, 03, 04, 05, 06, 07, 08, \
 09, 0a, 0b, 0c, 0d, 0e, 0f

[Ext.AddReg]
;HKR,Config,"HwVolumeMap",01, \
; 00, 02, 04, 06, 08, 0C, 10, 14, \
; 18, 1C, 20, 24, 28, 2C, 2E, 30, \
; 32, 32, 33, 33, 34, 34, 35, 35, \
; 36, 36, 36, 37, 37, 37, 38, 38, \
; 38, 38, 39, 39, 39, 39, 3A, 3A, \
; 3A, 3A, 3B, 3B, 3B, 3B, 3C, 3C, \
; 3C, 3C, 3D, 3D, 3D, 3D, 3E, 3E, \
; 3E, 3E, 3E, 3F, 3F, 3F, 3F, 3F

